Fail to start after upgrade


(Andreas Wachter) #1

Hi,

i get the following in my log after i upgraded from 5.2.2 to 5.6.1

[2017-09-26T09:47:50,477][WARN ][o.e.c.l.LogConfigurator ] ignoring unsupported logging configuration file [/etc/elasticsearch/logging.yml], logging is configured via [/etc/elasticsearch/log4j2.properties]
[2017-09-26T09:47:50,504][WARN ][o.e.b.ElasticsearchUncaughtExceptionHandler] [atlxweb30238] uncaught exception in thread [main]
org.elasticsearch.bootstrap.StartupException: org.elasticsearch.bootstrap.BootstrapException: java.nio.file.NoSuchFileException: /usr/share/elasticsearch/plugins/.installing-5204752428567596618/plugin-descriptor.properties
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:136) ~[elasticsearch-5.6.1.jar:5.6.1]
at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:123) ~[elasticsearch-5.6.1.jar:5.6.1]
at org.elasticsearch.cli.EnvironmentAwareCommand.execute(EnvironmentAwareCommand.java:67) ~[elasticsearch-5.6.1.jar:5.6.1]
at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:134) ~[elasticsearch-5.6.1.jar:5.6.1]
at org.elasticsearch.cli.Command.main(Command.java:90) ~[elasticsearch-5.6.1.jar:5.6.1]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:91) ~[elasticsearch-5.6.1.jar:5.6.1]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:84) ~[elasticsearch-5.6.1.jar:5.6.1]
Caused by: org.elasticsearch.bootstrap.BootstrapException: java.nio.file.NoSuchFileException: /usr/share/elasticsearch/plugins/.installing-5204752428567596618/plugin-descriptor.properties
at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:170) ~[elasticsearch-5.6.1.jar:5.6.1]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:342) ~[elasticsearch-5.6.1.jar:5.6.1]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:132) ~[elasticsearch-5.6.1.jar:5.6.1]
... 6 more
Caused by: java.nio.file.NoSuchFileException: /usr/share/elasticsearch/plugins/.installing-5204752428567596618/plugin-descriptor.properties
at sun.nio.fs.UnixException.translateToIOException(UnixException.java:86) ~[?:1.8.0_66]
at sun.nio.fs.UnixException.rethrowAsIOException(UnixException.java:102) ~[?:1.8.0_66]
at sun.nio.fs.UnixException.rethrowAsIOException(UnixException.java:107) ~[?:1.8.0_66]
at sun.nio.fs.UnixFileSystemProvider.newByteChannel(UnixFileSystemProvider.java:214) ~[?:1.8.0_66]
at java.nio.file.Files.newByteChannel(Files.java:361) ~[?:1.8.0_66]
at java.nio.file.Files.newByteChannel(Files.java:407) ~[?:1.8.0_66]
at java.nio.file.spi.FileSystemProvider.newInputStream(FileSystemProvider.java:384) ~[?:1.8.0_66]
at java.nio.file.Files.newInputStream(Files.java:152) ~[?:1.8.0_66]
at org.elasticsearch.plugins.PluginInfo.readFromProperties(PluginInfo.java:114) ~[elasticsearch-5.6.1.jar:5.6.1]
at org.elasticsearch.bootstrap.Spawner.spawnNativePluginControllers(Spawner.java:76) ~[elasticsearch-5.6.1.jar:5.6.1]
at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:168) ~[elasticsearch-5.6.1.jar:5.6.1]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:342) ~[elasticsearch-5.6.1.jar:5.6.1]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:132) ~[elasticsearch-5.6.1.jar:5.6.1]
... 6 more

I downloaded the new deb-file and installed it via dpkg on my machine.


(Andreas Wachter) #2

fixed it. I deleted /usr/share/elasticsearch/plugins/.installing-5204752428567596618 and installed it again. Now it is working like a charme.


(system) #3

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.